Subject: [bug#70228] [PATCH] doc: Update gnome-desktop-configuration.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 07 Apr 2024 08:23:17 +0200

Am Samstag, dem 06.04.2024 um 11:50 -0400 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > * doc/guix.texi (gnome-desktop-configuration): Fill in missing
> > fields.
> > [gnome]: Talk about the deprecation.
> > ---
> > Hi Guix,
> > 
> > this patch updates the gnome-desktop-configuration documentation,
> > that really ought to have been updated sooner.  It does not quite
> > match the auto-generated documentation, because I took some
> > stylistic choices and went further in some places.
> 
> The long term plan (TM) is to have the auto-generated documentation
> truly auto-generated at build time.  You should think of any extra
> edits manually made as possibly lost in the future, so it'd be best
> to either
> 
> 1. edit the real source (docstrings)
> 2. fix the doc-generating macros if there's a problem worthy of
> addressing
> 
> Otherwise, LGTM.
My edits concern a field that I'd like to see gone in that long-term
future, so it's fine.  Maybe I'm missing a record-level documentation
field, though, because I'm also adding a line there.

Cheers